ext {
    kotlin_version = '1.3.21'
    dev_mode = true

    ydl_app = [
            appName      : "心理咨询壹点灵",
            applicationId: "com.cxzapp.yidianling",
            versionName  : "3.9.50",
            versionCode  : 3950,
    ]

    xlzx_app = [
            appName      : "心理咨询",
            applicationId: "com.cxzapp.xinlizixun",
            versionName  : "3.9.50",
            versionCode  : 3950,
    ]

    android = [
            compileSdkVersion: 28,
            buildToolsVersion: "28.0.3",
            minSdkVersion    : 17,
            targetSdkVersion : 28,
            versionCode      : 1000,
            versionName      : "1.0.00",
            applicationId    : "com.ydl"
    ]

    version = [
            androidSupportSdkVersion: "28.0.0",
            retrofitSdkVersion      : "2.3.0",
            dagger2SdkVersion       : "2.23.2",
            glideSdkVersion         : "4.3.1",
            butterknifeSdkVersion   : "9.0.0",
            rxlifecycleSdkVersion   : "1.0",
            rxlifecycle2SdkVersion  : "2.2.2",
            espressoSdkVersion      : "3.0.1",
            canarySdkVersion        : "1.5.4"
    ]

    dependencies = [
            //support
            "appcompat-v7"                 : "com.android.support:appcompat-v7:${version["androidSupportSdkVersion"]}",
            "design"                       : "com.android.support:design:${version["androidSupportSdkVersion"]}",
            "support-v4"                   : "com.android.support:support-v4:${version["androidSupportSdkVersion"]}",
            "cardview-v7"                  : "com.android.support:cardview-v7:${version["androidSupportSdkVersion"]}",
            "annotations"                  : "com.android.support:support-annotations:${version["androidSupportSdkVersion"]}",
            "recyclerview-v7"              : "com.android.support:recyclerview-v7:${version["androidSupportSdkVersion"]}",
            "constraint-layout"            : "com.android.support.constraint:constraint-layout:1.0.2",

            //network
            "retrofit"                     : "com.squareup.retrofit2:retrofit:${version["retrofitSdkVersion"]}",
            "retrofit-converter-gson"      : "com.squareup.retrofit2:converter-gson:${version["retrofitSdkVersion"]}",
            "retrofit-adapter-rxjava"      : "com.squareup.retrofit2:adapter-rxjava:${version["retrofitSdkVersion"]}",
            "retrofit-adapter-rxjava2"     : "com.squareup.retrofit2:adapter-rxjava2:${version["retrofitSdkVersion"]}",
            "retrofit-converter-scalars"   : "com.squareup.retrofit2:converter-scalars:${version["retrofitSdkVersion"]}",
            "okhttp3"                      : "com.squareup.okhttp3:okhttp:3.12.3",
            "okhttp4"                      : "com.squareup.okhttp3:okhttp:4.0.0",
            "okhttp3-logging"              : "com.squareup.okhttp3:logging-interceptor:3.8.0",
            "okhttp-urlconnection"         : "com.squareup.okhttp:okhttp-urlconnection:2.0.0",
            "glide"                        : "com.github.bumptech.glide:glide:${version["glideSdkVersion"]}",
            "glide-compiler"               : "com.github.bumptech.glide:compiler:${version["glideSdkVersion"]}",
            "glide-loader-okhttp3"         : "com.github.bumptech.glide:okhttp3-integration:${version["glideSdkVersion"]}",
            "glide-annotations"            : "com.github.bumptech.glide:annotations:${version["glideSdkVersion"]}",
            "glide-transformations"        : "jp.wasabeef:glide-transformations:3.0.1",
            "picasso"                      : "com.squareup.picasso:picasso:2.5.2",

            //view
            "autolayout"                   : "com.zhy:autolayout:1.4.5",
            "butterknife"                  : "com.jakewharton:butterknife:${version["butterknifeSdkVersion"]}",
            "butterknife-compiler"         : "com.jakewharton:butterknife-compiler:${version["butterknifeSdkVersion"]}",
            "pickerview"                   : "com.contrarywind:Android-PickerView:3.2.5",
            "photoview"                    : "com.github.chrisbanes.photoview:library:1.2.3",
            "numberprogressbar"            : "com.daimajia.numberprogressbar:library:1.2@aar",
            "nineoldandroids"              : "com.nineoldandroids:library:2.4.0",
            "paginate"                     : "com.github.markomilos:paginate:0.5.1",
            "vlayout"                      : "com.alibaba.android:vlayout:1.1.0@aar",
            "autosize"                     : "me.jessyan:autosize:1.1.2",

            //rx1
            "rxandroid"                    : "io.reactivex:rxandroid:1.2.1",
            "rxjava"                       : "io.reactivex:rxjava:1.3.0",
            "rxlifecycle"                  : "com.trello:rxlifecycle:${version["rxlifecycleSdkVersion"]}",
            "rxlifecycle-components"       : "com.trello:rxlifecycle-components:${version["rxlifecycleSdkVersion"]}",
            "rxcache"                      : "com.github.VictorAlbertos.RxCache:runtime:1.7.0-1.x",
            "rxcache-jolyglot-gson"        : "com.github.VictorAlbertos.Jolyglot:gson:0.0.4",
            "rxbinding-recyclerview-v7"    : "com.jakewharton.rxbinding:rxbinding-recyclerview-v7:1.0.1",
            "rxpermissions"                : "com.tbruyelle.rxpermissions:rxpermissions:0.9.4@aar",
            "rxerrorhandler"               : "me.jessyan:rxerrorhandler:1.0.1",

            //rx2
            "rxandroid2"                   : "io.reactivex.rxjava2:rxandroid:2.0.1",
            "rxjava2"                      : "io.reactivex.rxjava2:rxjava:2.2.10",
            "rxlifecycle2"                 : "com.trello.rxlifecycle2:rxlifecycle:${version["rxlifecycle2SdkVersion"]}",
            "rxlifecycle2-android"         : "com.trello.rxlifecycle2:rxlifecycle-android:${version["rxlifecycle2SdkVersion"]}",
            "rxlifecycle2-components"      : "com.trello.rxlifecycle2:rxlifecycle-components:${version["rxlifecycle2SdkVersion"]}",
            "rxcache2"                     : "com.github.VictorAlbertos.RxCache:runtime:1.8.3-2.x",
            "rxpermissions2"               : "com.tbruyelle.rxpermissions2:rxpermissions:0.9.5@aar",
            "rxerrorhandler2"              : "me.jessyan:rxerrorhandler:2.1.1",

            //tools
            "dagger2"                      : "com.google.dagger:dagger:${version["dagger2SdkVersion"]}",
            "dagger2-android"              : "com.google.dagger:dagger-android:${version["dagger2SdkVersion"]}",
            "dagger2-android-support"      : "com.google.dagger:dagger-android-support:${version["dagger2SdkVersion"]}",
            "dagger2-compiler"             : "com.google.dagger:dagger-compiler:${version["dagger2SdkVersion"]}",
            "dagger2-android-processor"    : "com.google.dagger:dagger-android-processor:${version["dagger2SdkVersion"]}",
            "androideventbus"              : "org.simple:androideventbus:1.0.5.1",
            "otto"                         : "com.squareup:otto:1.3.8",
            "gson"                         : "com.google.code.gson:gson:2.8.5",
            "multidex"                     : "com.android.support:multidex:1.0.3",
            "javax.annotation"             : "javax.annotation:jsr250-api:1.0",
            "arouter"                      : "com.alibaba:arouter-api:1.4.1",
            "progressmanager"              : "me.jessyan:progressmanager:1.5.0",
            "retrofit-url-manager"         : "me.jessyan:retrofit-url-manager:1.4.0",
            "lifecyclemodel"               : "me.jessyan:lifecyclemodel:1.0.1",

            //test
            "junit"                        : "junit:junit:4.12",
            "androidJUnitRunner"           : "android.support.test.runner.AndroidJUnitRunner",
            "runner"                       : "com.android.support.test:runner:1.0.1",
            "espresso-core"                : "com.android.support.test.espresso:espresso-core:${version["espressoSdkVersion"]}",
            "espresso-contrib"             : "com.android.support.test.espresso:espresso-contrib:${version["espressoSdkVersion"]}",
            "espresso-intents"             : "com.android.support.test.espresso:espresso-intents:${version["espressoSdkVersion"]}",
            "mockito-core"                 : "org.mockito:mockito-core:1.+",
            "timber"                       : "com.jakewharton.timber:timber:4.7.1",
            "logger"                       : "com.orhanobut:logger:2.2.0",
            "canary-debug"                 : "com.squareup.leakcanary:leakcanary-android:${version["canarySdkVersion"]}",
            "canary-release"               : "com.squareup.leakcanary:leakcanary-android-no-op:${version["canarySdkVersion"]}",

            //YDL
            "ptr-lib-release"              : "com.ydl:ptr-lib-release:1.0.0@aar",
            "systembartint"                : "com.readystatesoftware.systembartint:systembartint:1.0.3",
            "cube"                         : 'in.srain.cube:cube-sdk:1.0.44@aar',
            "support-multidex"             : 'com.android.support:multidex:1.0.2',
            "ydl-ijkplayer-jjdxm"          : 'com.ydl:jjdxm-ijkplayer:0.0.3',
            "robust"                       : 'com.meituan.robust:robust:0.4.87',
            "walle"                        : 'com.meituan.android.walle:library:1.1.5',
            "jpush"                        : 'cn.jiguang.sdk:jpush:3.2.0',
            "jcore"                        : 'cn.jiguang.sdk:jcore:1.2.7',
            "eventbus"                     : 'de.greenrobot:eventbus:2.4.0',
            "BaseRecyclerViewAdapterHelper": 'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.34',
            "flowlayout"                   : 'cn.lankton:flowlayout:3.1.0',
            "androidanimations"            : 'com.daimajia.androidanimations:library:2.3@aar',
            "umeng-common"                 : 'com.umeng.sdk:common:1.5.1',
            "umeng-analytics"              : 'com.umeng.sdk:analytics:7.5.1',
            "umeng-share-core"             : 'com.umeng.sdk:share-core:6.9.1',
            "umeng-share-qq"               : 'com.umeng.sdk:share-qq:6.9.1.1',
            "umeng-share-wechat"           : 'com.umeng.sdk:share-wechat:6.9.1',
            "umeng-shareboard"             : 'com.umeng.sdk:shareboard-widget:6.9.1',
            "umeng-debug"                  : 'com.umeng.sdk:debug:1.0.0',
            "tablayout"                    : 'com.flyco.tablayout:FlycoTabLayout_Lib:2.1.2@aar',
            "stetho"                       : 'com.facebook.stetho:stetho:1.5.0',
            "stetho-okhttp3"               : 'com.facebook.stetho:stetho-okhttp3:1.4.1',
            "aspectjrt"                    : 'org.aspectj:aspectjrt:1.8.9',
            "bugly-crashreport"            : 'com.tencent.bugly:crashreport:2.8.6.0',
            "bugly-nativecrashreport"      : 'com.tencent.bugly:nativecrashreport:3.6.0.1',
            "ydl-image"                    : 'com.ydl:ydl-image:1.0.7-SNAPSHOT@aar',
            "ydl-pushagent"                : 'com.ydl:ydl-pushagent:0.1.8',
            "ydl-notracepoint"             : 'com.ydl:notracepoint-lib:0.1.8@aar',
            "ydl-js"                       : 'com.ydl:ydl-js:1.0.7-SNAPSHOT@aar',
            "ydl-router"                   : 'com.ydl:ydl-router:1.3.2-SNAPSHOT@aar',
            "xrecyclerview"                : 'com.ydl:xrecyclerview:1.0.0-SNAPSHOT@aar',
            "arouter-api"                  : "com.alibaba:arouter-api:1.4.1",
            "arouter-compiler"             : "com.alibaba:arouter-compiler:1.2.2",
            "exoplayer"                    : 'com.google.android.exoplayer:exoplayer:2.9.0',
            "free_reflection"              : 'me.weishu:free_reflection:2.0.0',
            "imagepicker"                  : 'com.ydl:imagepicker:1.0.6',
            "protector"                    : 'com.ydl:protector:1.0.1-SNAPSHOT@aar',
            "ydl-hnet"                     : 'com.ydl:h-net:0.0.8',
            "ydl-utils"                    : 'com.ydl:ydl-utils:0.0.2',
            "ydl-net"                      : 'com.ydl:ydl-net:0.0.1',

            //Modular Api
            "ydl-user-router"              : 'com.ydl:router:1.0.0-SNAPSHOT@aar',
            "ydl-platform"                 : 'com.ydl:ydl-platform:0.0.10@aar',
            "ydl-m-user-api"               : 'com.ydl:m-user-api:0.0.5',
            "ydl-webview"                  : 'com.ydl:ydl-webview:0.0.14@aar',
            "ydl-m-muse-api"               : 'com.ydl:m-muse-api:0.0.1@aar'
    ]
}
